R(1)

NAME
R - a language for data analysis and graphics

SYNOPSIS
R [options] [< infile] [> outfile]
R CMD command [arguments]

DESCRIPTION
Start R, a system for statistical computation and graphics, with the specified options, or invoke an R tool via the 'R CMD' interface.

R is a language which bears a passing resemblance to the S language developed at AT&T Bell Laboratories. It provides support for a variety of statistical and graphical analyses. R is a true computer language which contains a number of control-flow constructions for iteration and alternation. It allows users to add additional functionality by defining new functions.

On systems which have the GNU readline(3) library, R will maintain a command history, so that commands can be recalled, edited and re-executed.

OPTIONS
Most options control what happens at the beginning and at the end of an R session, in particular which files are being read and written, and how much memory is reserved for the R process.

-h, --help
    Print short help message and exit

--version
    Print version info and exit

--encoding=ENC
    Specify encoding to be used for stdin

RHOME
    Print path to R home directory and exit

--save
    Do save workspace at the end of the session

--no-save
    Don't save it

--no-environ
    Don't read the site and user environment files

--no-site-file
    Don't read the site-wide Rprofile

--no-init-file
    Don't read the user R profile

--restore
    Do restore previously saved objects at startup

--no-restore-data
    Don't restore previously saved objects

--no-restore-history
    Don't restore the R history file

--no-restore
    Don't restore anything

--vanilla
    Combine --no-save, --no-restore, --no-site-file, --no-init-file and --no-environ

--no-readline
    Don't use readline for command-line editing

--min-vsize=N
    Set vector heap min to N bytes; '4M' = 4 MegaB

--max-vsize=N
    Set vector heap max to N bytes;

--min-nsize=N
    Set min number of cons cells to N

--max-nsize=N
    Set max number of cons cells to N

--max-ppsize=N
    Set max size of protect stack to N

-q, --quiet
    Don't print startup message

--silent
    Same as --quiet

--slave
    Make R run as quietly as possible

--interactive
    Force an interactive session

--verbose
    Print more information about progress

-d, --debugger=NAME
    Run R through debugger NAME

--debugger-args=ARGS
    Pass ARGS as arguments to the debugger

-g, --gui=TYPE
    Use TYPE as GUI; possible values are 'X11' (default) and 'Tk'.

--arch=NAME
    Specify a sub-architecture

--args
    Skip the rest of the command line

-f, --file=FILE
    Take input from 'FILE'

  Commands:

BATCH
    Run R in batch mode

COMPILE
    Compile files for use with R

SHLIB
    Build shared library for dynamic loading

INSTALL
    Install add-on packages

REMOVE
    Remove add-on packages

build
    Build add-on packages

check
    Check add-on packages

LINK
    Front-end for creating executable programs

Rprof
    Post-process R profiling files

Rdconv
    Convert Rd format to various other formats

Rd2dvi
    Convert Rd format to DVI

Rd2pdf
    Convert Rd format to PDF

Rd2txt
    Convert Rd format to pretty text

Sd2Rd
    Convert S documentation to Rd format

Stangle
    Extract S/R code from Sweave documentation

Sweave
    Process Sweave documentation

Rdiff
    Diff R output ignoring headers etc

config
    Obtain configuration information about R

javareconf
    Update the Java configuration variables

rtags
    Create Emacs-style tag files from C, R, and Rd files

Please use 'R CMD command --help' to obtain further information about the usage of 'command'.

REPORTING BUGS
Report bugs to <r-bugs@r-project.org>.

COPYRIGHT
Copyright © 2009 The R Foundation for Statistical Computing ISBN 3-900051-07-0

R is free software and comes with ABSOLUTELY NO WARRANTY. You are welcome to redistribute it under the terms of the GNU General Public License version 2. For more information about these matters see http://www.gnu.org/licenses/.

SEE ALSO
The full documentation for R is provided by a collection of Texinfo manuals and individual help for R objects which is also available on-line.

Start R and type ?topic at the R prompt to obtain on-line information for `topic'.

If the processed manuals have been installed they will be available as DVI and/or PDF files in the doc/manual subdirectory of the documentation directory tree (default `R RHOME`).

If the info program and the R manuals are installed on your system, typing info -f R-intro, info -f R-data, info -f R-exts, info -f R-FAQ, info -f R-lang and info -f R-ints should give you access to ``An Introduction to R'' (the basic manual), the ``R Data Import/Export'' Guide, the ``R Extension Writer's Guide'', the ``R FAQ'', the ``The R Language Definition'', and the ``R Internals''.